Method: projects.locations.deploymentGroups.delete

Deletes a DeploymentGroup

HTTP request

DELETE https://config.googleapis.com/v1/{name=projects/*/locations/*/deploymentGroups/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of DeploymentGroup in the format projects/{projectId}/locations/{locationId}/deploymentGroups/{deploymentGroup} It takes the form projects/{project}/locations/{location}/deploymentGroups/{deploymentgroup}.

Authorization requires the following IAM permission on the specified resource name:

  • config.deploymentgroups.delete

Query parameters

Parameters
requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request.

For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

force

boolean

Optional. If set to true, any revisions for this deployment group will also be deleted. (Otherwise, the request will only work if the deployment group has no revisions.)

deploymentReferencePolicy

enum (DeploymentReferencePolicy)

Optional. Policy on how to handle referenced deployments when deleting the DeploymentGroup. If unspecified, the default behavior is to fail the deletion if any deployments currently referenced in the deploymentUnits of the DeploymentGroup or in the latest revision are not deleted.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • config.googleapis.com/config.deploymentgroups.delete

For more information, see the IAM documentation.

DeploymentReferencePolicy

Policy on how to handle referenced deployments when deleting the DeploymentGroup.

Enums
DEPLOYMENT_REFERENCE_POLICY_UNSPECIFIED The default behavior. If unspecified, the system will act as if FAIL_IF_ANY_REFERENCES_EXIST is specified.
FAIL_IF_ANY_REFERENCES_EXIST Fail the deletion if any deployments currently referenced in the deploymentUnits of the DeploymentGroup or in the latest revision are not deleted.
FAIL_IF_METADATA_REFERENCES_EXIST Fail the deletion only if any deployments currently referenced in the deploymentUnits of the DeploymentGroup are not deleted. The deletion will proceed even if the deployments in the latest revision of the DeploymentGroup are not deleted.
IGNORE_DEPLOYMENT_REFERENCES Ignore any deployments currently referenced in the deploymentUnits of the DeploymentGroup or in the latest revision.